petsc-3.12.1 2019-10-22
Report Typos and Errors

# TAOBQNLS

Bounded Quasi-Newton Line Search method for nonlinear minimization with bound constraints. This method approximates the action of the inverse-Hessian with a limited memory quasi-Newton formula. The quasi-Newton matrix and its options are accessible via the prefix `-tao_bqnls_`

### Options Database Keys

| -tao_bqnls_max_cg_its | - maximum number of bounded conjugate-gradient iterations taken in each Newton loop
| -tao_bqnls_as_type | - active-set estimation method ("none", "bertsekas")

### Level

beginner

### Location

src/tao/bound/impls/bqnls/bqnls.c

### Examples

src/ts/examples/tutorials/ex20opt_p.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages